Toggle star
curl --request PATCH \
--url https://api.autogrowth.farm/v1/content/{id}/star \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.autogrowth.farm/v1/content/{id}/star"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.autogrowth.farm/v1/content/{id}/star', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"id": "<string>",
"userId": "<string>",
"name": "<string>",
"fileUrl": "<string>",
"fileSize": 123,
"tags": [
"<string>"
],
"folder": "<string>",
"starred": true,
"usageCount": 123,
"postedAccountIds": [
"<string>"
],
"usageHistory": [
{
"postedAt": "<string>",
"executionId": "<string>",
"deviceId": "<string>",
"accountId": "<string>",
"workflowId": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"title": "<string>",
"description": "<string>",
"thumbnailUrl": "<string>",
"dimensions": "<string>",
"duration": 123,
"collectionId": "<string>",
"accountId": "<string>",
"lastPostedAt": "<string>"
}
}{
"success": true,
"error": {
"name": "<string>",
"issues": [
{}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Content
Toggle star
Flips the starred flag on a content item and returns the full updated item. This is a toggle computed in the database: there is no request body and no way to set an explicit value.
PATCH
/
content
/
{id}
/
star
Toggle star
⌘I